#!/usr/bin/perl


use XML::Parser;
use strict vars;
use vars qw($text %html);

%html = ( "vorname" => ["<b>", " </b>"],
	  "nachname" => [ "<b>",  "</b>"],
	  "mail" => [ "<a href=mailto:", "> EMail</a>" ],
	  "vcard" => [ "", "<br>"],
	  );

my $p= new XML::Parser(Style => 'Stream');
$p->parsefile($ARGV[0]);

sub StartDocument {
  print "<HTML><HEAD><TITLE>Beispiel</TITLE></HEAD>\n<BODY>";
}

sub EndDocument {
  print "</BODY></HTML>\n";
}

sub StartTag {}

sub EndTag {
  my $p = shift;
  my $key = shift;
  return unless (exists $html{$key});
  print $html{$key}->[0] . $text . $html{$key}->[1];
  $text="";
}


sub Text {
  $text = $_;
}

