#!/usr/bin/perl

use XML::Parser;
use Unicode::String qw(latin1 utf8);
use vars qw($s);

Unicode::String->stringify_as("utf8");
$p = new XML::Parser();
$p->setHandlers(Start => \&StartHandler, 
		End => \&EndHandler,
	        Char => \&CharHandler);

$p->parsefile($ARGV[0]);

sub StartHandler {
}

sub EndHandler {
  my $p = shift;
  my $el = shift;
  my $con = $p->{'Context'};
  if ($el eq 'title' && $con->[-1] eq 'sect1') {
    print $p->current_line . ": $s\n";
  }
}  

sub CharHandler {
  my $p = shift;
  my $d = shift;
  $s = new Unicode::String($d);
  $s = $s->latin1();
}

